## org.python.core
Class IdImpl2.WeakIdentityMap

    java.lang.Object
      org.python.core.IdImpl2.WeakIdentityMap

Enclosing class:
  IdImpl2

    public static class IdImpl2.WeakIdentityMap

extends java.lang.Object

Constructor Summary
`IdImpl2.WeakIdentityMap()`

Method Summary
`int` `_internal_map_size()`
`java.lang.Object` `get(java.lang.Object key)`
`void` `put(java.lang.Object key, java.lang.Object val)`
`void` `remove(java.lang.Object key)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IdImpl2.WeakIdentityMap

    public IdImpl2.WeakIdentityMap()

Method Detail

### _internal_map_size

    public int _internal_map_size()

### put

    public void put(java.lang.Object key,
                    java.lang.Object val)

### get

    public java.lang.Object get(java.lang.Object key)

### remove

    public void remove(java.lang.Object key)

Jython homepage